<div>
  <%= link_to "Add Question", new_staff_question_path, class: "btn", style: "float: right;" %> 
  <%= link_to "upload Questions", upload_file_staff_questions_path, class: "btn", style: "float: right; margin-right: 10px;" %>
  <h4>Questions List</h4>
</div>
<%= Question.where(archived: false).count %> Questions
<br/>
<br/>
<% if @questions.present? %>
  <table class="striped">
    <tr>
      <th>Questions</th>
      <th>Category</th>
      <th></th>
    </tr>
    <tbody>
      <% @questions.each do |question| %>
        <tr>
          <td><%= question.text %></td>
          <td><%= question.category unless question.category.to_s.match(/^_/) %></td>
          <td><%= link_to staff_question_path(question), method: :delete, data: { confirm: "You sure?"  } do %>
                                    Delete<% end %></td>
        </tr>
      <% end %>
    </tbody>
  </table>

  <div style="margin-top: 10px;">
    <div style="float: left;">
      <% if @page != 0 %>
        <%= link_to "< Prev", staff_questions_path(page: @page-1) %>
      <% end %>

      <% if @next %>
        <%= link_to "Next >", staff_questions_path(page: @page+1) %>
      <% end %>
    </div>

    <div style="float: right;">
      <%= @page+1 %>/<%= (Question.where(archived: false).count/@per_page.to_f).ceil %> Pages
    </div>

    <div class="clear-height"></div>
  </div>
  <% else %>
    <div style="text-align: center; background-color: #eee; padding-top: 15px;">
      Sorry you don't have any Questions
      <br />
      <br />
    </div>
<% end %>

